Qyra
Referencev2

List deleted content

Get deleted content (soft-deleted charts, dashboards, etc.)

GET/api/v2/content/deleted

Authentication: personal access token. The spec defines an api_key security scheme — send an Authorization: ApiKey <your-personal-access-token> header (value format: ApiKey <your key>). A session_cookie scheme (connect.sid) exists for browser sessions. Operations in this spec declare security: [], an artifact of the upstream spec generator — authentication is still enforced by the server.

Query parameters

NameTypeRequiredDescription
projectUuidsarray[string]Yes
pageSizenumberNo
pagenumberNo
searchstringNo
contentTypesarray[string]No
deletedByUserUuidsarray[string]No
dataAppVizsFilterstringNo

Responses

200 — Success

{
  "results": {
    "pagination": {
      "page": 0,
      "pageSize": 0,
      "totalResults": 0,
      "totalPageCount": 0
    },
    "data": [
      {
        "organizationUuid": "string",
        "projectUuid": "string",
        "spaceName": "string",
        "spaceUuid": "string",
        "deletedBy": {
          "lastName": "string",
          "firstName": "string",
          "userUuid": "string"
        },
        "deletedAt": "2024-01-01T00:00:00.000Z",
        "chartKind": {},
        "contentType": "chart",
        "description": "string",
        "name": "string",
        "uuid": "string",
        "source": "dbt_explore",
        "schedulerCount": 0
      }
    ]
  },
  "status": "ok"
}

default — Error

{
  "error": {
    "data": "string",
    "message": "string",
    "name": "string",
    "statusCode": 0
  },
  "status": "error"
}